$(document).ready(function(){
    $('#upload-file-btn').click(function(){
        var input = document.querySelector('input[type="file"]');

        var data = new FormData();
        data.append('file', input.files[0]);

        fetch('/upload', {
            method: 'POST',
            body: data,

        })
            .then(function(data){
                switch(data.status) {
                    case 200:
                        window.location = data.url;
                        break;
                    case 400:
                        console.log("Upload failed");
                        break;
                    case 415:
                        console.log("Wrong file format");
                        break;
                }
        });
    });
});